Name: jigdo
Version: 0.7.2
Release: alt3

Summary: Jigsaw Download (GTK+)
License: GPL
Group: Networking/File transfer

Url: http://atterer.net/jigdo
Source: %url/%name-%version.tar.bz2

Packager: Vladimir V Kamarzin <vvk@altlinux.ru>

# Automatically added by buildreq on Mon Aug 29 2005
BuildPreReq: ImageMagick
BuildRequires: bzlib-devel fontconfig freetype2 gcc-c++ glib2-devel libatk-devel libcurl-devel libdb4.3-devel libgtk+2-devel libidn-devel libpango-devel libssl-devel libstdc++-devel pkgconfig wget zlib-devel

%description
Jigsaw Download, or short jigdo, is an intelligent tool that can be used on the
pieces of any chopped-up big file to create a special "template" file which
makes reassembly of the file very easy for users who only have the pieces.

What makes jigdo special is that there are no restrictions on what
offsets/sizes the individual pieces have in the original big image. This makes
the program very well suited for distributing CD/DVD images (or large zip/tar
archives) because you can put the files of the CD on an FTP server - when jigdo
is presented the files along with the template you generated, it is able to
recreate the CD image.

%package file
Summary: Prepare files for Jigsaw Download (distribution of huge files, e.g. CD images)
Group: Networking/File transfer

%description file
Prepare files for Jigsaw Download (distribution of huge files, e.g. CD images).

%package mirror
Summary: Maintain a mirror of images offered with jigdo
Group: Networking/File transfer

%description mirror
jigdo-mirror is a script intended for people who want to offer direct HTTP or FTP
downloads of files for which only the jigdo and template files are available.

%prep
%setup -q

%build
%configure
%make

%install
%makeinstall
mkdir -p %buildroot%_iconsdir
convert gfx/jigdo-icon.png -geometry 32 %buildroot%_iconsdir/%name.png

# menu
%__cat <<__MENU__ >%name.menu
?package(%name): needs="X11" section="Networking/File transfer" title="%name" \
longtitle="Jigsaw Download" \
command="%_bindir/%name" icon="%name.png"
__MENU__

%__install -pD -m644 %name.menu %buildroot%_menudir/%name

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/%name
%_mandir/man1/%name.1.gz
%dir %_datadir/%name
%_datadir/%name/pixmaps/*
%_menudir/*
%_iconsdir/*
%doc README doc/TechDetails.txt doc/%name.html

%files file
%_bindir/%name-file
%_bindir/%name-lite
%_mandir/man1/%name-file.1.bz2
%_mandir/man1/%name-lite.1.gz
%doc doc/%name-file.html doc/%name-lite.html

%files mirror
%_bindir/%name-mirror
%_mandir/man1/%name-mirror.1.gz
%doc doc/%name-mirror.html

%changelog
* Mon Oct 10 2005 Vladimir V Kamarzin <vvk@altlinux.ru> 0.7.2-alt3
- rebuild with libdb4.3

* Tue Sep 13 2005 Vladimir V Kamarzin <vvk@altlinux.ru> 0.7.2-alt2
- fixed package ownership of %datadir/%name
- minor spec cleanup
- added Packager tag

* Tue Aug 30 2005 Vladimir V Kamarzin <vvk@altlinux.ru> 0.7.2-alt1
- Initial build for Sisyphus.
